/* input[type=checkbox], */
input[type=email],
input[type=password],
/* input[type=radio], */
input[type=search],
input[type=text]{
	-webkit-transition: all 0.30s ease-in-out;
	-moz-transition: all 0.30s ease-in-out;
	-ms-transition: all 0.30s ease-in-out;
	-o-transition: all 0.30s ease-in-out;
	outline: none;
	border: 1px solid var(--input-border-color);
	text-align: left;
	display: block;
	padding-left: 7px;
	padding-top: 7px;
	padding-bottom: 7px;
	padding-right: 7px;
	box-sizing: border-box;
	border-radius: var(--input-border-radius);
	font-size: var(--button-font-size);
	height: 33px;
}

input[type=date],
input[type=time],
input[type=number]{
	-webkit-transition: all 0.30s ease-in-out;
	-moz-transition: all 0.30s ease-in-out;
	-ms-transition: all 0.30s ease-in-out;
	-o-transition: all 0.30s ease-in-out;
	outline: none;
	border: 1px solid var(--input-border-color);
	text-align: right;
	display: block;
	padding-left: 7px;
	padding-top: 7px;
	padding-bottom: 7px;
	padding-right: 7px;
	box-sizing: border-box;
	border-radius: var(--input-border-radius);
	font-size: var(--button-font-size);
	height: 33px;
}

/* Für Webkit-Browser (Chrome, Safari) */
/* input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
} */

/* Für Firefox */
/* input[type="number"] {
	-moz-appearance: textfield;
} */

input[type=checkbox]:disabled,
input[type=date]:disabled,
input[type=time]:disabled,
input[type=email]:disabled,
input[type=number]:disabled,
input[type=password]:disabled,
input[type=radio]:disabled,
input[type=search]:disabled,
input[type=text]:disabled{
	/* background-color: #ccc;
	cursor: not-allowed; */
	pointer-events: none;  /* Verhindert jegliche Interaktion mit dem Button */
	opacity: 0.5; /* Optional, um den Button visuell als deaktiviert darzustellen */
}

input:focus {
	border: 1px solid var(--input-focus-color);
}

input[type=checkbox] {
	/* accent-color: var(--input-focus-color); */
	accent-color: var(--default-color);
	display: inline-block;
	margin: 5px;
	cursor: pointer;
}

input[type=checkbox].changed {
	accent-color:var(--changed-color);
	display: inline-block;
	margin: 5px;
	cursor: pointer;
}

input[type=radio] {
	accent-color: var(--input-focus-color);
	display: inline-block;
	margin: 5px;
	cursor: pointer;
}

input[type=date] {
	width: 135px;
	font-family: inherit;
	font-size: 14px;
}

input[type=time] {
	font-family: inherit;
	font-size: 14px;
}

input[readonly] {
	pointer-events: none;
	color: gray;
}

input::placeholder {
	font-size: var(--button-font-size) !important;
}


input.small {
	-webkit-transition: all 0.30s ease-in-out;
	-moz-transition: all 0.30s ease-in-out;
	-ms-transition: all 0.30s ease-in-out;
	-o-transition: all 0.30s ease-in-out;
	outline: none;
	border: 1px solid #DDDDDD;
	text-align: left;
	display: block;
	padding: 5px;
	box-sizing: border-box;
	border-radius: var(--input-border-radius);
	font-size: 15px;
}

input::autofill {
	background: #fff;
}

input::placeholder {
	/* font-family: 'Arial', sans-serif;  */
	/* Ändert die Schriftart */
	font-size: var(--button-font-size);
	/* Ändert die Schriftgröße */
	color: grey;
	/* Ändert die Textfarbe */
}